<?php

/**
 * the template for displaying all posts.
 */
get_header();
get_template_part('template-parts/banner/content', 'banner-course');

$turitor_course_layout = turitor_option('course_layout_style', 'standard');
if (isset($_GET['theme'])) {
   $turitor_course_layout =  sanitize_text_field($_GET['theme']);
}

?>
<div class="tranding-course-slider">
   <div class="container">
      <?php
      if ($turitor_course_layout == 'solid') {
         get_template_part('learnpress/content-trending-course-two');
      } else {
         get_template_part('learnpress/content-trending-course');
      }
      ?>
   </div>
</div>
<div id="main-content" class="main-container archive-course-container" role="main">
   <div class="container">
      <?php if ($turitor_course_layout == 'advanced') : ?>
         <?php get_template_part('learnpress/content-archive-course-advanced'); ?>
      <?php elseif ($turitor_course_layout == 'solid') : ?>
         <?php get_template_part('learnpress/content-archive-course-solid'); ?>
      <?php else : ?>
         <?php get_template_part('learnpress/content-archive-course-standard'); ?>
      <?php endif; ?>
   </div> <!-- .container -->
</div>
<!--#main-content -->
<?php get_footer(); ?>