<div class="turitor-events "> 
   <?php foreach($recent_posts as $recent): ?>
      <div class="event-single media">
         <?php if($show_date=='yes'): ?>
            <div class="event-date align-self-center"> 
               <span class="month">  
                  <?php echo date_i18n('M',strtotime( get_post_meta( $recent->ID,'ts_event_date', true ) ) );  ?> 
               </span>  
               <h3 class="day">
                  <?php echo date_i18n('d',strtotime( get_post_meta( $recent->ID,'ts_event_date', true ) ) );  ?> 
               </h3>
            </div>
         <?php endif; ?>
         <div class="entry-header media-body">
            <?php if($show_author=='yes'): ?>
               <span class="post-author">
                     <i class="tsicon tsicon-user"></i> 
                     <a href="<?php echo get_author_posts_url( $recent->post_author); ?>"> <?php echo get_the_author(); ?></a>
               </span>
            <?php endif; ?>
            
            
            <?php if( $show_event_time=='yes'): ?>
                  <?php
                  $time =  turitor_meta_option($recent->ID, 'ts_event_time');
               ?>
                  <span class="event-time event-time">
                     <?php 
                     echo date_i18n("g:i A", strtotime( $time['from'] )); ?> -  <?php echo date_i18n("g:i A", strtotime( $time['to'] ));
                     ?>
                  </span>
   

            <?php endif; ?>   

            <?php if($show_cat=='yes'): ?>
                  <span class="event-meta-cat">
                     
                        <?php $cats = get_the_terms($recent->ID,'ts-event-category');  ?>
                        
                     
                        
                        <?php if(is_array($cats)) { ?> 
                           <?php foreach($cats as $k=> $item): ?>
                              
                              <?php
                                    if($k>=1){
                                    echo ' & ';
                                 }
                                 $link = get_term_link($item->term_id);
                                 echo "<a href='{$link}'>". esc_html($item->name). '</a>';
                                 
                              ?>
                           <?php endforeach; ?>
                        <?php } ?>

                  </span> 
            <?php endif; ?> 
               <h2 class="entry-title">
                  <a href="<?php echo get_post_permalink($recent->ID); ?>"><?php echo wp_trim_words( wp_kses($recent->post_title,['p']), $post_title_crop, '');  ?> </a>
               </h2>
               <?php if($show_desc=="yes"): ?>
                     <div class="entry-content">
                        <p> <?php echo wp_trim_words( wp_kses($recent->post_content,['p']), $desc_limit, '');  ?>   </p>
                     </div>
               <?php endif; ?> 
               <div class="post-footer">
                  <?php if($show_readmore=="yes"): ?>
                     <a href="<?php echo get_post_permalink($recent->ID); ?>" class="btn-link"> <?php echo esc_html__('Read More','turitor'); ?> <i class="tsicon tsicon-arrow-right"></i></a>
                  <?php endif; ?> 
               </div>
         </div>
      </div>
   <?php endforeach; ?>
</div>