<div class="row latest-blog event-blog style3">
   <?php foreach ($recent_posts as $recent) :   ?>
      <div class="col-lg-<?php echo esc_attr($post_col); ?> fadeInUp">
         <div class="post event">
            <div class="post-body event-body">
               <div class="event-style">
                  <div class="row">
                     <div class="col-5">
                        <div class="event-date-style">
                           <div class="event-date">
                              <h3 class="post-meta-date event-meta-date">
                                 <span> <?php echo date_i18n('M', strtotime(get_post_meta( $recent->ID,'ts_event_date', true )));  ?> </span>
                                 <?php echo date_i18n('d', strtotime(get_post_meta( $recent->ID,'ts_event_date', true )));  ?>
                              </h3>
                           </div>
                        </div>
                     </div>
                     <div class="col-7">
                        <div class="event-meta-style">
                           <div class="post-meta">
                              <?php if ($show_author == 'yes') : ?>
                                 <span class="post-author">
                                    <a href="<?php echo get_author_posts_url($recent->post_author); ?>"> <?php echo get_the_author(); ?></a>
                                 </span>
                              <?php endif; ?>
                              <?php if ($show_event_time == 'yes') : ?>
                                 <?php
                                 $time =  turitor_meta_option($recent->ID, 'ts_event_time');
                                 ?>
                                 <span class="event-time event-time">
                                    <?php echo date_i18n("g:i A", strtotime($time['from'])); ?> - <?php echo date_i18n("g:i A", strtotime($time['to'])); ?>
                                 </span>
                              <?php endif; ?>
                              <?php if ($show_cat == 'yes') : ?>
                                 <span class="event-meta-cat">

                                    <?php $cats = get_the_terms($recent->ID, 'ts-event-category');  ?>



                                    <?php if (is_array($cats)) { ?>
                                       <?php foreach ($cats as $k => $item) : ?>

                                          <?php
                                          if ($k >= 1) {
                                             echo ' & ';
                                          }
                                          $link = get_term_link($item->term_id);
                                          echo "<a href='{$link}'>" . esc_html($item->name) . '</a>';

                                          ?>
                                       <?php endforeach; ?>
                                    <?php } ?>

                                 </span>
                              <?php endif; ?>

                           </div>

                        </div>
                     </div>
                  </div>
                  <div class="entry-header">
                     <h3 class="entry-title">
                        <a href="<?php echo get_post_permalink($recent->ID); ?>"><?php echo wp_trim_words(wp_kses($recent->post_title, ['p']), $post_title_crop, '');  ?> </a>
                     </h3>
                  </div>
                  <!-- header end -->

               </div>

               <?php if ($show_desc == "yes") : ?>
                  <div class="entry-content">
                     <p> <?php echo wp_trim_words(wp_kses($recent->post_content, ['p']), $desc_limit, '');  ?> </p>
                  </div>
               <?php endif; ?>
               <div class="post-footer">
                  <?php if ($show_readmore == "yes") : ?>
                     <a href="<?php echo get_post_permalink($recent->ID); ?>" class="btn-link"><i class="tsicon tsicon-plus_line"></i> <?php echo esc_html__('Read More', 'turitor'); ?> </a>
                  <?php endif; ?>
               </div>
            </div>
            <!-- post-body end -->
         </div>
         <!-- post end-->
      </div>
   <?php endforeach; ?>
</div> <!-- row end -->
<?php
wp_reset_postdata();
