<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * metabox options for pages
 */

$options = array(
	'settings-page' => array(
		'title'		 => esc_html__( 'Events settings', 'turitor' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'options'	 => array(
            
            'ts_event_date' => array(
                'type'  => 'date-picker',
                'label'	 => esc_html__( 'Date', 'turitor' ),
                'value' => '',
                'fw-storage' => array(
                    'type' => 'post-meta',
                    'post-meta' => 'ts_event_date',
                ),
            ),
		   
            'ts_event_time'	 => array(
               'type'	 => 'datetime-range',
               'label'	 => esc_html__( 'Event Time', 'turitor' ),
               'attr'  => array( 'class' => 'custom-class', 'data-foo' => 'bar' ),

               'datetime-pickers' => array(
                  'from' => array(
                      'format'  => 'H:i',  // Format datetime.
                      'timepicker'  => true,     // Show timepicker.
                      'datepicker'  => false,     // Show datepicker.
                      ),
                  'to' => array(
                      'format'  => 'H:i',
                      'timepicker'  => true,     // Show timepicker.
                      'datepicker'  => false,     // Show datepicker.
                      )
                  ),
                  'value' => array(
                      'from' => '12:00',
                      'to' => '11:00'
                  )
				
            ),
      
      
        ),
	),
);
