<?php
/** this file contains functions added by suncode
 * */
//suncode start
//function sc_admin_style() {
//  wp_enqueue_style('admin-styles', get_template_directory_uri().'/suncode/css/admin.css');
//}
//add_action('admin_enqueue_scripts', 'sc_admin_style');
 /* add css to elementor page editor start*/
 add_action('elementor/editor/before_enqueue_scripts','add_elementor_css_by_suncode');
 function add_elementor_css_by_suncode(){
     $page_action = isset($_GET['action']) ? $_GET['action'] :'';
     if($page_action == 'elementor'){
         wp_enqueue_style( 'suncode_elementor_front_css',  get_template_directory_uri().'/suncode/css/suncode_elementor_front_css.css');
     }
     if(is_admin()){
         
     }
 } 
/** add css to elementor page editor end **/
function sc_admin_style() {
  wp_enqueue_style('admin-styles', get_template_directory_uri().'/suncode/css/admin.css');
}
add_action('admin_enqueue_scripts', 'sc_admin_style');
 function suncode_login_stylesheet() {
    wp_enqueue_style( 'custom-login', get_stylesheet_directory_uri() . '/suncode/css/style-login.css' );
}
add_action( 'login_enqueue_scripts', 'suncode_login_stylesheet' );
// customize admin bar css
function suncode_override_admin_bar_css() { 

   if ( is_admin_bar_showing() ) { 
       wp_enqueue_style( 'custom-adminbar', get_stylesheet_directory_uri() . '/suncode/css/style-adminbar.css' );


    }

}
// on frontend area
add_action( 'wp_head', 'suncode_override_admin_bar_css' );
 /*add tooman to learnpress start*/
/**
* Add new currency
*
* @param $currencies
*
* @return mixed
*/
 add_filter('learn-press/currencies', 'my_cbf_learn_press_get_payment_currencies', 10, 1 ); // for LearnPress 3
function my_cbf_learn_press_get_payment_currencies( $currencies ){
$currency_new = 'IRT'; # Currency Code
$currency_name = __('Iranian Toman', 'learnpress'); # Full name of Currency
if( !isset($currencies[$currency_new]) || ( isset($currencies[$currency_new]) && $currencies[$currency_new] !== $currency_name ) ) {
$currencies[$currency_new] = $currency_name;
}
return $currencies;
}
add_filter( 'learn_press_currency_symbol', 'my_cbf_learn_press_currency_symbol', 10, 2 );
function my_cbf_learn_press_currency_symbol( $currency_symbol, $currency ) {
$currency_new = 'IRT'; # Currency Code
if( $currency == $currency_new ) {
$currency_symbol = 'تومان'; # Symbol of currency
}
return $currency_symbol;
}
 /*add tooman to learnpress end*/
 /*add custom fonts by suncode start*/

/*add custom fonts by suncode end*/

function sc_maxcoach_load_plugin_mofiles( $mofile, $domain ){
	$theme_uri = get_stylesheet_directory();
    if ( 'wp-ultimate-review' == $domain )
    {
		$paid_mofile = $theme_uri."/languages/wp-ultimate-review-fa_IR.mo";
        return $paid_mofile;
    }
    elseif ( 'video-conferencing-with-zoom-api' == $domain )
    {
		$zoom_mofile = $theme_uri."/languages/video-conferencing-with-zoom-api-fa_IR.mo";
        return $zoom_mofile;
    }
    elseif ( 'metform' == $domain )
    {
		$metform_mofile = $theme_uri."/languages/metform-fa_IR.mo";
        return $metform_mofile;
    }
    elseif ( 'elementskit-lite' == $domain )
    {
		$elementskit_mofile = $theme_uri."/languages/elementskit-lite-fa_IR.mo";
        return $elementskit_mofile;
    }
     elseif ( 'fw' == $domain )
    {
		$fw_mofile = $theme_uri."/languages/fw-fa_IR.mo";
        return $fw_mofile;
    }
    elseif ( 'learnpress' == $domain )
    {
		$learnpress_mofile = $theme_uri."/languages/learnpress-fa_IR.mo";
        return $learnpress_mofile;
    }
    elseif ( 'learnpress-students-list' == $domain )
    {
		$learnpress_students_list_mofile = $theme_uri."/languages/learnpress-students-list-fa_IR.mo";
        return $learnpress_students_list_mofile;
    }else{
    return $mofile;
	}
}
add_filter( 'load_textdomain_mofile', 'sc_maxcoach_load_plugin_mofiles', -1, 2 );

add_action('init','sc_loadtextDomains',-1);
// add_action( 'plugins_loaded', 'sc_loadtextDomains',-1 );
// add_action( 'wpems_init', 'sc_loadtextDomains',-1 );
// add_action( 'admin_init', 'sc_loadtextDomains',-1 );
function sc_loadtextDomains(){
	$theme_uri = get_stylesheet_directory();
	/* learnpress */
	load_plugin_textdomain('learnpress',false,$theme_uri."/languages/" );
	load_plugin_textdomain('video-conferencing-with-zoom-api',false,$theme_uri."/languages/" );
    load_plugin_textdomain('wp-ultimate-review',false,$theme_uri."/languages/" );
    load_plugin_textdomain('metform',false,$theme_uri."/languages/" );
    load_plugin_textdomain('elementskit-lite',false,$theme_uri."/languages/" );
    load_plugin_textdomain('fw',false,$theme_uri."/languages/" );
    load_plugin_textdomain('learnpress-students-list',false,$theme_uri."/languages/" );
}
//plugins/learnpress/assets/js/frontend/course.js
//Dequeue JavaScripts

/*function project_dequeue_unnecessary_scripts() {
    if( is_rtl() && is_single() && 'lp_course' == get_post_type() ) {
    wp_dequeue_script( 'course' );
     //wp_enqueue_script( 'course', get_site_url() . '/wp-content/plugins/learnpress/assets/src/js/frontend/course.js');
     wp_enqueue_script( 'sccourse', get_template_directory_uri() . '/suncode/js/sccourse.js', array ( 'jquery' ), 1.1, true);
    }
}
*/ 
//add_action( 'wp_print_scripts', 'project_dequeue_unnecessary_scripts',40 );
add_action( 'wp_footer', 'project_dequeue_unnecessary_scripts'  );


add_filter( 'get_the_archive_title', function ($title) {

    if ( is_category() ) {

            $title = single_cat_title( '', false );

        } elseif ( is_tag() ) {

            $title = single_tag_title( '', false );

        } elseif ( is_author() ) {

            $title = '<span class="vcard">' . get_the_author() . '</span>' ;

        }

    return $title;

});

// woo address
add_filter( 'woocommerce_default_address_fields' , 'sc_pixwell_override_address_fields', 999, 1 );
function sc_pixwell_override_address_fields( $fields ) {
	$persian_sort = array( 1 => 'country', 'state', 'city', 'address_1', 'address_2', 'postcode' );
	
	foreach( $fields as $key => $field ) {
		
		if( ! in_array( $key, $persian_sort ) ) {
			$fields[ $key ][ 'persian_sort' ] = 0;
		} else {
			$fields[ $key ][ 'persian_sort' ] = array_search( $key, $persian_sort );
		}
		
	}
		
	uasort( $fields, function( $val1, $val2 ) use( $persian_sort ) {
		
		if( $val1[ 'persian_sort' ] == 0 || $val2[ 'persian_sort' ] == 0 ) {
			return 0;
		}
		
		return $val1[ 'persian_sort' ] > $val2[ 'persian_sort' ] ? 1 : -1;
	} );
	
	$i = 10;
	
	foreach( $fields as $key => $field ) {
		$fields[ $key ][ 'priority' ] = $i;
		$i += 10;
	}
	
	return $fields;
}
/* override learnpress function */
//remove_action( 'learn-press/course-section-item/before-lp_lesson-meta', 'learn_press_item_meta_duration', 5 );
//add_action( 'learn-press/course-section-item/before-lp_lesson-meta', 'suncode_learn_press_item_meta_duration', 5 );
function suncode_learn_press_item_meta_duration( $item ) {
  $duration = $item->get_duration();

  if ( is_a( $duration, 'LP_Duration' ) && $duration->get() ) {
    $format = array(
      'day'    => '%s ' . _x( 'day', 'duration', 'turitor' ),
      'hour'   => '%s ' . _x( 'hour', 'duration', 'turitor' ),
      'minute' => '%s ' . _x( 'min', 'duration', 'turitor' ),
      'second' => '%s ' . _x( 'sec', 'duration', 'turitor' ),
    );
    echo '<span class="item-meta duration">' . $duration->to_timer( $format, true ) . '</span>';
  } elseif ( is_string( $duration ) && strlen( $duration ) ) {
    echo '<span class="item-meta duration">' . $duration . '</span>';
  }
}
//plugins/learnpress/assets/js/frontend/course.js
//Dequeue JavaScripts
function project_dequeue_unnecessary_scripts() {
    if( is_rtl() && is_single() && 'lp_course' == get_post_type() ) {
    wp_dequeue_script( 'single-curriculum' );
     //wp_enqueue_script( 'course', get_site_url() . '/wp-content/plugins/learnpress/assets/src/js/frontend/course.js');
     wp_enqueue_script( 'sccourse', get_template_directory_uri() . '/suncode/js/sccourse.js', array ( 'jquery' ), 1.1, true);
    }
}
 
//add_action( 'wp_print_scripts', 'project_dequeue_unnecessary_scripts',40 );
add_action( 'wp_footer', 'project_dequeue_unnecessary_scripts'  );

